### File

`packages/eui/packages/components-next/src/lib/components/atoms/eui-icon/eui-icon.component.ts`

### Extends

`BaseDirective`

### Metadata

selector | `span[euiIcon], i[euiIcon], eui-icon`
template |
    <ng-content></ng-content>

### Index

###### Methods
getCssClasses
###### Inputs
aria-label iconClass isLoading
###### HostBindings
class
###### Accessors
ariaLabel

### Constructor

`constructor()`

### Inputs

aria-label
Type : `string`

iconClass

isLoading
Default value : `false`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses()`
Returns : `any`

### Accessors

ariaLabel
set `ariaLabel(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""